package nl.ngorter.demo.taskflowinputparameters.view.bean;

import oracle.jbo.domain.Number;

public class EmployeeFlowBean
{
  public final static String TASKFLOWMODE_CREATE = "CREATE";
  public final static String TASKFLOWMODE_UPDATE = "UPDATE";
  public final static String TASKFLOWMODE_READONLY = "READONLY";

  private Number employeeId;
  private String taskflowMode = TASKFLOWMODE_READONLY;

  public EmployeeFlowBean()
  {
    super();
  }

  public boolean isCreateMode()
  {
    if (TASKFLOWMODE_CREATE.equals(this.taskflowMode))
    {
      return true;
    }
    return false;
  }

  public boolean isUpdateMode()
  {
    if (TASKFLOWMODE_UPDATE.equals(this.taskflowMode))
    {
      return true;
    }
    return false;
  }

  public boolean isReadOnlyMode()
  {
    if (TASKFLOWMODE_READONLY.equals(this.taskflowMode))
    {
      return true;
    }
    return false;
  }

  public void setEmployeeId(Number employeeId)
  {
    this.employeeId = employeeId;
  }

  public Number getEmployeeId()
  {
    return employeeId;
  }

  public void setTaskflowMode(String taskflowMode)
  {
    this.taskflowMode = taskflowMode;
  }

  public String getTaskflowMode()
  {
    return taskflowMode;
  }
}
